Subject: [apps-discuss] Organisation of draft-freed-media-type-regs-00

From: Mark Nottingham <[email-masked]>
Date: Mon, 22 Aug 2011 13:08:02 +1000

Overall, it seems like there's a fair amount of restatement between section 4 and those that precede it. I think many people will skip straight to section 4, believing it to be most relevant to them, and without reference to specific requirements in the rest of the document, they'll end up confused and sometimes mislead.

Furthermore, section 4 isn't clear about the step-by-step procedure that's appropriate to various cases. For example, 4.12.2 and 4.12.4 both refer to a review, but it's not clear to a casual reader whether they're different reviews or the same one. 

I think that this can be addressed by moving much of the content in section 4 into the various subsections of section 3, in the form of concrete, numbered lists of steps to take to register the various kinds of media types. This might result in some duplication (which in the worst cases can be solved by references to new shared sections), but that's preferable to confusing readers.

I'm happy to take a stab at this if the authors would like an illustration of what I mean (and they can provide XML source).

Cheers,

--
Mark Nottingham   http://www.mnot.net/